/***************************************************************
	CPU初期化/割り込み制御関数ヘッダ
***************************************************************/

#ifndef __CPU_INIT__
#define __CPU_INIT__

/* CPU固有初期化処理 */
void CPU_BusInitialize(void);

/* CPU割り込み初期化処理 */
void CPU_IRQInitialize(void);

/* CPU割り込み処理 */
void CPU_IRQInterrupt(void);

/* DMA転送実行 */
void CPU_DMA(unsigned int sar, unsigned int dar, unsigned int word);


#endif
